
QGIS Application - Bug report #14059

QGIS Server crash with OTF active and layer without features

2016-01-06 05:00 AM - Horst Düster

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.5 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 22069

Description

1. open new project

2. add layer with features and CRS definition EPSG:4326

3. remove all features

4. select OTF different from the layer CRS EPSG:3857

5. publish the project with QGIS Server 

6. GetCapabilities request leeds to QGIS Server crash -> INTERNAL SERVER ERROR 500

With OTF EPSG:4326 QGIS Server works fine!

This error affects all QGIS Server releases from 2.8 - 2.12

History

#1 - 2016-01-06 05:02 AM - Horst Düster

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2016-01-06 05:03 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2016-01-06 05:04 AM - Giovanni Manghi

- Status changed from Open to Feedback

Do you have any evidence that was not crashing in qgis < 2.8 ?

#4 - 2016-01-06 05:06 AM - Horst Düster

No I don't have any evidence. I only checked the mentioned releases.

#5 - 2016-04-10 12:01 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Target version deleted (Version 2.14)

#6 - 2017-03-07 05:24 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed
Cannot replicate with QGIS Desktop/Server 2.18.4

please reopen if necessary.
